> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create new volume

> Create new volume



## OpenAPI

````yaml /api-specs/6.3/public-api.json post /remotefs/v1/volumes
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.3.1
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: AI Gateway
  - name: GenAI
  - name: AI Systems
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /remotefs/v1/volumes:
    post:
      tags:
        - NetApp Volumes
      summary: Create new volume
      description: Create new volume
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/data-remotefs-service_server.CreateVolumeRequest
        description: Volume to create
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/data-remotefs-service_remotefs.Volume'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/data-remotefs-service_server.HTTPError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/data-remotefs-service_server.HTTPError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/data-remotefs-service_server.HTTPError'
        '409':
          description: Conflict
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/data-remotefs-service_server.HTTPError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/data-remotefs-service_server.HTTPError'
components:
  schemas:
    data-remotefs-service_server.CreateVolumeRequest:
      type: object
      required:
        - capacity
        - filesystemId
        - grants
        - name
      properties:
        capacity:
          type: integer
        description:
          type: string
        filesystemId:
          type: string
        grants:
          type: array
          items:
            $ref: '#/components/schemas/data-remotefs-service_remotefs.VolumeGrantDTO'
        name:
          type: string
        projectId:
          type: string
    data-remotefs-service_remotefs.Volume:
      type: object
      required:
        - capacity
        - createdAt
        - createdBy
        - dataPlaneId
        - filesystemId
        - id
        - maxSnapshots
        - name
        - numSnapshots
        - path
        - status
        - uniqueName
        - updatedAt
        - updatedBy
      properties:
        capacity:
          description: Maximum size in bytes
          type: integer
        createdAt:
          type: string
        createdBy:
          $ref: '#/components/schemas/data-remotefs-service_remotefs.UserSummary'
        dataPlaneId:
          type: string
        description:
          type: string
        filesystemId:
          type: string
        filesystemName:
          type: string
        grants:
          type: array
          items:
            $ref: '#/components/schemas/data-remotefs-service_remotefs.VolumeGrant'
        id:
          type: string
        lastMountedTime:
          type: string
        maxSnapshots:
          type: integer
        name:
          type: string
        numSnapshots:
          type: integer
        path:
          type: string
        projects:
          type: array
          items:
            $ref: '#/components/schemas/data-remotefs-service_remotefs.Project'
        properties:
          type: array
          items:
            $ref: >-
              #/components/schemas/data-remotefs-service_remotefs.PropertyValueGroup
        status:
          $ref: '#/components/schemas/data-remotefs-service_remotefs.ResourceStatus'
        storageSize:
          description: Used size in bytes
          type: integer
        taxonomyTags:
          type: array
          items:
            $ref: '#/components/schemas/data-remotefs-service_remotefs.TaxonomyTag'
        uniqueName:
          type: string
        updatedAt:
          type: string
        updatedBy:
          $ref: '#/components/schemas/data-remotefs-service_remotefs.UserSummary'
    data-remotefs-service_server.HTTPError:
      type: object
      properties:
        message:
          type: string
    data-remotefs-service_remotefs.VolumeGrantDTO:
      type: object
      required:
        - targetId
        - targetRole
      properties:
        targetId:
          type: string
        targetRole:
          $ref: '#/components/schemas/data-remotefs-service_remotefs.VolumeRole'
    data-remotefs-service_remotefs.UserSummary:
      type: object
      required:
        - firstName
        - id
        - lastName
        - userName
      properties:
        firstName:
          type: string
        id:
          type: string
        lastName:
          type: string
        userName:
          type: string
    data-remotefs-service_remotefs.VolumeGrant:
      type: object
      required:
        - isOrganization
        - targetId
        - targetName
        - targetRole
      properties:
        isOrganization:
          type: boolean
        targetId:
          description: References Mongo user ID (including organizations)
          type: string
        targetName:
          type: string
        targetRole:
          $ref: '#/components/schemas/data-remotefs-service_remotefs.VolumeRole'
    data-remotefs-service_remotefs.Project:
      type: object
      required:
        - addedAt
        - addedBy
        - name
        - projectId
        - volumeId
      properties:
        addedAt:
          type: string
        addedBy:
          $ref: '#/components/schemas/data-remotefs-service_remotefs.UserSummary'
        name:
          type: string
        projectId:
          description: References Mongo project ID
          type: string
        volumeId:
          type: string
    data-remotefs-service_remotefs.PropertyValueGroup:
      type: object
      properties:
        fields:
          type: array
          items:
            $ref: >-
              #/components/schemas/data-remotefs-service_remotefs.PropertyValueField
        groupName:
          type: string
    data-remotefs-service_remotefs.ResourceStatus:
      type: string
      enum:
        - Active
        - MarkedForDeletion
        - Deleted
      x-enum-varnames:
        - Active
        - MarkedForDeletion
        - Deleted
    data-remotefs-service_remotefs.TaxonomyTag:
      type: object
      properties:
        description:
          type: string
        fullPath:
          items:
            type: string
          type: array
        id:
          type: string
        label:
          type: string
        namespaceId:
          type: string
        namespaceLabel:
          type: string
    data-remotefs-service_remotefs.VolumeRole:
      type: string
      enum:
        - VolumeOwner
        - VolumeEditor
        - VolumeReader
        - Service
      x-enum-varnames:
        - VolumeOwner
        - VolumeEditor
        - VolumeReader
        - Service
    data-remotefs-service_remotefs.PropertyValueField:
      type: object
      properties:
        propertyId:
          type: string
        propertyLabel:
          type: string
        status:
          type: string
        type:
          type: string
        updatedAt:
          type: string
        updatedBy:
          $ref: '#/components/schemas/data-remotefs-service_remotefs.PropertyUser'
        value:
          type: string
    data-remotefs-service_remotefs.PropertyUser:
      type: object
      properties:
        userID:
          type: string
        username:
          type: string

````

## Related topics

- [Create new filesystem](/6.3/api-reference/netapp-volumes-filesystems/create-new-filesystem.md)
- [Create new snapshot from a run](/6.3/api-reference/netapp-volumes-snapshots/create-new-snapshot-from-a-run.md)
- [Create new snapshot](/6.3/api-reference/netapp-volumes-snapshots/create-new-snapshot.md)
- [Create new data transfer](/6.3/api-reference/netapp-volumes-transfers/create-new-data-transfer.md)
